> For the complete documentation index, see [llms.txt](https://docs.mozilla.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_set.md).

# config plugins set

Sets top-level config for all plugins, or config for a specific plugin entry

## Synopsis

Sets top-level config for all plugins (--dir), or updates config for a specific plugin entry (--category, --name, --flow). Cannot mix both modes.

Top-level mode sets configuration that applies to all plugins, such as the directory where plugin binaries are located.

Plugin entry mode updates config for an existing plugin. When updating, only the provided flags are changed (partial update).

```
mcpd config plugins set [flags]
```

## Examples

```
  # Set plugin directory
  mcpd config plugins set --dir=/path/to/plugins

  # Update existing plugin entry (partial update)
  mcpd config plugins set --category=authentication --name=jwt-auth --flow=request --flow=response
```

## Options

```
      --category category    Plugin category (plugin entry only, one of: audit, authentication, authorization, content, observability, rate_limiting, validation)
      --commit-hash string   Optional, commit hash for version validation (plugin entry only)
      --dir string           Directory path for location of plugin binaries (top-level config only)
      --flow stringArray     Flow during which the plugin should execute (request, response) (can be repeated, plugin entry only)
      --name string          Plugin name (plugin entry only)
      --required             Optional, mark plugin as required (plugin entry only)
```

## Options inherited from parent commands

```
      --config-file string    path to config file (default ".mcpd.toml")
      --log-level string      log level for mcpd logs (default "info")
      --log-path string       log file path to use for log output
      --runtime-file string   path to runtime (execution context) file that contains env vars, and arguments for your MCP servers (default "/home/runner/.config/mcpd/secrets.dev.toml")
```

## SEE ALSO

* [mcpd config plugins](/mcpd/cli-reference/mcpd_config_plugins.md) - Manage plugin configuration

**Auto generated by spf13/cobra on 14-Aug-2026**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mozilla.ai/mcpd/cli-reference/mcpd_config_plugins_set.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
